org.eclipse.actf.util.win32.msaa

## Class MSAA

- java.lang.Object
- - org.eclipse.actf.util.win32.msaa.MSAA

    public class MSAA
    extends Object

MSAA is utility for Microsoft Active Accessibility Interface see http://msdn.microsoft.com/en-us/library/ms697707.aspx

### Field Summary

Fields
`static int` `CHILDID_SELF`
`static int` `NAVDIR_DOWN`
`static int` `NAVDIR_FIRSTCHILD`
`static int` `NAVDIR_LASTCHILD`
`static int` `NAVDIR_LEFT`
`static int` `NAVDIR_NEXT`
`static int` `NAVDIR_PREVIOUS`
`static int` `NAVDIR_RIGHT`
`static int` `NAVDIR_UP`
`static int` `ROLE_SYSTEM_CHECKBUTTON`
`static int` `ROLE_SYSTEM_CLIENT`
`static int` `ROLE_SYSTEM_LINK`
`static int` `ROLE_SYSTEM_PUSHBUTTON`
`static int` `ROLE_SYSTEM_RADIOBUTTON`
`static int` `ROLE_SYSTEM_TEXT`
`static int` `ROLE_SYSTEM_WINDOW`
`static int` `SELFLAG_REMOVESELECTION`
`static int` `SELFLAG_TAKEFOCUS`
`static int` `STATE_INVISIBLE`
`static int` `STATE_OFFSCREEN`
`static int` `STATE_READONLY`

### Constructor Summary

Constructors
Constructor and Description
`MSAA()`

### Method Summary

Methods
`static Object[]` `getAccessibleChildren(IDispatch idisp, int start, int count)` Wrapper for AccessibleChildren method see http://msdn.microsoft.com/en-us/library/ms697243(VS.85).aspx
`static long` `getAccessibleObjectFromWindow(long hwnd)` Wrapper for AccessibleObjectFromWindow method see http://msdn.microsoft.com/en-us/library/ms696137(VS.85).aspx
`static String` `getRoleText(int accRole)` Wrapper for GetRoleText method see http://msdn.microsoft.com/en-us/library/ms696193(VS.85).aspx
`static long` `WindowFromAccessibleObject(long ptr)` Wrapper for WindowFromAccessibleObject method see http://msdn.microsoft.com/en-us/library/ms697201(VS.85).aspx

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CHILDID_SELF

    public static final int CHILDID_SELF

See Also:
  Constant Field Values

#### NAVDIR_DOWN

    public static final int NAVDIR_DOWN

See Also:
  Constant Field Values

#### NAVDIR_FIRSTCHILD

    public static final int NAVDIR_FIRSTCHILD

See Also:
  Constant Field Values

#### NAVDIR_LASTCHILD

    public static final int NAVDIR_LASTCHILD

See Also:
  Constant Field Values

#### NAVDIR_LEFT

    public static final int NAVDIR_LEFT

See Also:
  Constant Field Values

#### NAVDIR_NEXT

    public static final int NAVDIR_NEXT

See Also:
  Constant Field Values

#### NAVDIR_PREVIOUS

    public static final int NAVDIR_PREVIOUS

See Also:
  Constant Field Values

#### NAVDIR_RIGHT

    public static final int NAVDIR_RIGHT

See Also:
  Constant Field Values

#### NAVDIR_UP

    public static final int NAVDIR_UP

See Also:
  Constant Field Values

#### SELFLAG_TAKEFOCUS

    public static final int SELFLAG_TAKEFOCUS

See Also:
  Constant Field Values

#### SELFLAG_REMOVESELECTION

    public static final int SELFLAG_REMOVESELECTION

See Also:
  Constant Field Values

#### STATE_READONLY

    public static final int STATE_READONLY

See Also:
  Constant Field Values

#### STATE_INVISIBLE

    public static final int STATE_INVISIBLE

See Also:
  Constant Field Values

#### STATE_OFFSCREEN

    public static final int STATE_OFFSCREEN

See Also:
  Constant Field Values

#### ROLE_SYSTEM_WINDOW

    public static final int ROLE_SYSTEM_WINDOW

See Also:
  Constant Field Values

#### ROLE_SYSTEM_CLIENT

    public static final int ROLE_SYSTEM_CLIENT

See Also:
  Constant Field Values

#### ROLE_SYSTEM_LINK

    public static final int ROLE_SYSTEM_LINK

See Also:
  Constant Field Values

#### ROLE_SYSTEM_TEXT

    public static final int ROLE_SYSTEM_TEXT

See Also:
  Constant Field Values

#### ROLE_SYSTEM_PUSHBUTTON

    public static final int ROLE_SYSTEM_PUSHBUTTON

See Also:
  Constant Field Values

#### ROLE_SYSTEM_CHECKBUTTON

    public static final int ROLE_SYSTEM_CHECKBUTTON

See Also:
  Constant Field Values

#### ROLE_SYSTEM_RADIOBUTTON

    public static final int ROLE_SYSTEM_RADIOBUTTON

See Also:
  Constant Field Values

### Constructor Detail

#### MSAA

    public MSAA()

### Method Detail

#### getRoleText

    public static String getRoleText(int accRole)

Wrapper for GetRoleText method see http://msdn.microsoft.com/en-us/library/ms696193(VS.85).aspx

Parameters:
  `accRole` - the object role constants
Returns:
  the text string

#### WindowFromAccessibleObject

    public static long WindowFromAccessibleObject(long ptr)

Wrapper for WindowFromAccessibleObject method see http://msdn.microsoft.com/en-us/library/ms697201(VS.85).aspx

Parameters:
  `ptr` - the pointer to the IAccessible
Returns:
  the window handle to be retrieved from the pointer

#### getAccessibleChildren

    public static Object[] getAccessibleChildren(IDispatch idisp,
                                 int start,
                                 int count)

Wrapper for AccessibleChildren method see http://msdn.microsoft.com/en-us/library/ms697243(VS.85).aspx

Parameters:
  `idisp` - the parent object
  `start` - the index of the first child
  `count` - the amount of children to retrieve
Returns:
  the array of children

#### getAccessibleObjectFromWindow

    public static long getAccessibleObjectFromWindow(long hwnd)

Wrapper for AccessibleObjectFromWindow method see http://msdn.microsoft.com/en-us/library/ms696137(VS.85).aspx

Parameters:
  `hwnd` - the window handle
Returns:
  the pointer to the IAccessible object